Skip to main content
POST
/
v1
/
github
/
history-estimate
Estimate history sync impact
curl --request POST \
  --url https://api.suprlogs.com/v1/github/history-estimate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "frequency": "daily",
  "repos": [
    {
      "installationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "owner": "<string>",
      "repo": "<string>",
      "branch": "<string>"
    }
  ],
  "weekStartDay": 1
}
'
{
  "commitCount": 123,
  "repositoryCount": 123,
  "estimatedEntryCount": 123,
  "frequency": "<string>"
}

Authorizations

Authorization
string
header
required

Send API key as Authorization: Bearer .

Body

application/json
frequency
enum<string>
required
Available options:
daily,
weekly,
monthly
repos
object[]
required
Required array length: 1 - 25 elements
weekStartDay
integer
default:1
Required range: 0 <= x <= 6

Response

Estimate response.

commitCount
integer
repositoryCount
integer
estimatedEntryCount
integer
frequency
string